%define po_package gnome-session-3.0

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	The gnome desktop programs for the GNOME GUI desktop environment
Name:		gnome-session
Version:	3.14.0
%define	subrel 1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-session-startgnome
Source2:	gnome-session-gnomerc
Source4:	gnome-wm.desktop
Patch0:		gnome-session-autostart-validate-autostart-condition-gsettings-key.patch
Patch1:		gnome-session-Add-new-commandline-option-disable-acceleration-chec.patch
URL:		http://www.gnome.org/softwaremap/projects/gnome-session/
Requires:	GConf2 >= 1.2.1
Requires:	desktop-common-data
Requires:	gnome-user-docs
Requires:	gnome-settings-daemon
Requires:	%{name}-bin >= %{version}-%{release}
Requires:	gsettings-desktop-schemas
Requires:	dconf
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.76
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.7
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.10
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(xtst)
#BuildRequires:	pkgconfig(libsystemd-login) >= 38
#BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig(xtrans)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gtk-doc
BuildRequires:	xmlto
BuildRequires:	pkgconfig(gnome-desktop-3.0)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%package bin
Group:		%{group}
Summary:	%{summary}
Conflicts:	gnome-session < 2.31.2
Conflicts:	GConf-sanity-check

%description bin
This package contains the binaries for the GNOME Session Manager, but 
no startup scripts. It is meant for applications such as GDM that use 
gnome-session internally.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-schemas-install 
%make

%install
%makeinstall_std

# kill upstream xsession file.
# If we leave this it overrides our one, preventing the run of /etc/X11/Xsession
# and thus the processing of /etc/X11/xinit.d/ files.
# See: https://bugs.mageia.org/show_bug.cgi?id=11582
rm -rf %{buildroot}%{_datadir}/xsessions

# wmsession session file
# (doktor5000) "DESKTOPNAMES=GNOME" is required when starting a gnome session from SDDM
# this will be used as $XDG_CURRENT_DESKTOP and is necessary for the start of many services
# SDDM will set this to an empty string if not present, and gnome-session fails to correct this
# resulting in gnome not starting up - cf. https://bugs.mageia.org/show_bug.cgi?id=17359
# needs to be uppercase as otherwise chksession ignores it
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME 3 Environment
EXEC=%{_bindir}/startgnome
DESKTOPNAMES=GNOME
SCRIPT:
exec %{_bindir}/startgnome
EOF

install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/startgnome

mkdir -p %{buildroot}%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/gnome/gnomerc
# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{be@latin}

%find_lang %{po_package}


%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi
%{make_session}

%files bin
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_bindir}/%{name}
%{_mandir}/*/%{name}.*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*

%files -f %{name}-3.0.lang
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_sysconfdir}/gnome/gnomerc
%{_bindir}/%{name}-inhibit
%{_bindir}/startgnome
%{_bindir}/%{name}-quit
%{_libexecdir}/%{name}-*
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/wayland-sessions
%{_mandir}/*/%{name}-*
%doc %{_docdir}/%{name}


%changelog
* Fri Feb 09 2018 adrianomorselli <adrianomorselli> 3.14.0-1uplos2018
- imported for uplos makhowari
